# BootstrapLite

### Bootstrap without the Guilt (152kb < 70kb )

A lightweight build of <a href="https://getbootstrap.com" target="_blank">Bootstrap</a>, created to allow developers access to bootstrap core utilities and functions, allowing you to choose the parts you need giving flexibility and control.

**BootstrapLite is more of a utility library than a css framework (bootstrap) and may requires some working knowledge scss/sass**

**Inside**

- Function
- Variables
- Mixins
- Reboot
- Grid
- Utilities

### Install

To install bootstrap lite follow any one of the options below or you can very well roll your own just follow the instructions the <a href="https://getbootstrap.com/docs/4.2/getting-started/theming/#importing" target="_blank"> bootstrap instructions here </a>

**Use a CDN (JS Delivr)**

``` html

<link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/shawn-sandy/blacktie/packages/bootstrap-lite/dist/bootstrap-lite.min.css">

```

**Install via npm**

- Not available, sorry!

### Usage

**Quick Start**

Copy and paste the following code below into you favorite editor, read the links below for more information on use

  - <a href="https://getbootstrap.com/docs/4.2/getting-started/theming/" target="_blank">Theming bootstarap </a>
  - <a href="https://getbootstrap.com/docs/4.2/layout/grid/" target="_blank">Bootstrap grid documentation </a>
  - <a href="https://getbootstrap.com/docs/4.2/layout/overview/" target="_blank">Bootstrap layout documentation </a>
  - <a href="https://getbootstrap.com/docs/4.2/utilities/" target="_blank">Bootstrap utilities documentation </a>
  - <a href="https://getbootstrap.com/docs/4.2/getting-started/theming/#functions" target="_blank">Bootstrap functions documentation </a>
  - <a href="https://github.com/twbs/bootstrap/tree/v4-dev/scss/mixins" target="_blank">Bootstrap mixins on github</a>
  - <a href="https://github.com/twbs/bootstrap/blob/v4-dev/scss/_functions.scss" target="_blank">Bootstrap functions on github</a>

``` html

<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/shawn-sandy/blacktie/packages/bootstrap-lite/dist/bootstrap-lite.min.css">

    <title>BootstrapLite</title>
  </head>
  <body>
  <div class="container">
    <h1>Hello, world!</h1>
    <div class="row">
    <div class="col-md-8">
    <h2>Sample Title</h2>
    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Earum repellendus architecto laborum repellat, explicabo soluta in fuga error pariatur facilis quae fugit eius modi quos quas iure incidunt ducimus deleniti.</p>
    <p>Provident assumenda ab in cumque libero repellat rem dolorem nihil adipisci laboriosam iure, sint dolore, velit id, suscipit temporibus at deleniti deserunt tempore placeat nostrum ipsum ut omnis optio! Quos.</p>
    <p>Nostrum porro itaque voluptatem ipsam, ratione consectetur mollitia aperiam modi doloremque. Earum, ex, molestias maiores iste laborum possimus dolorum adipisci odio sed cupiditate fugit, sapiente officia corporis sunt nostrum consequuntur.</p>
    </div>
    <div class="col-md-4">
    <h3>Sidebar</h3>
    <p>Lorem ipsum dolor sit amet consectetur, adipisicing elit. Beatae, autem? Vel dolorem quasi pariatur eum. Alias minima, fuga a explicabo vitae molestias itaque, eum cupiditate sunt ratione id iure nostrum!</p>
    </div>
    </div>
  </div>
  </body>
</html>


```

## Issues

[Please submit issues here](https://github.com/shawn-sandy/blacktie/issues)

## Security Vulnerabilities
If you discover a security vulnerability within BootstrapLite, please send an e-mail to Shawn Sandy via shawnsandy04@gmail.com All security vulnerabilities will be promptly addressed.

## [Licence MIT](https://opensource.org/licenses/MIT)

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
